#!/usr/bin/env node --harmony
"use strict";
/**
 * This executable will take care of capturing user input,
 * passing data on to the domo lib and informing user of results.
 * First it will check for supported Node versions.
 *
 */
Object.defineProperty(exports, "__esModule", { value: true });
var path = require("path");
var program = require("commander");
var glob = require("glob");
var verifyNodeVersion = require('../util/verifyNodeVersion');
verifyNodeVersion();
require('../polyfills/endswith');
var cliVersion = require(path.resolve(__dirname + '/../package.json')).version;
program
    .version(cliVersion, '-v, --version')
    .option('-vb, --verbose', 'log more details including XHR responses, useful for troubleshooting');
// import all commands
glob
    .sync(path.resolve(__dirname + '/../commands/*.js'))
    .forEach(function (command) {
    require(command)(program);
});
program.parse(process.argv);
//# sourceMappingURL=domo.js.map