"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var login_1 = require("../util/login");
var log_1 = require("../util/log");
module.exports = function (program) {
    program
        .command('logout')
        .description('logout of Domo')
        .option('-i, --instance <value>', 'Domo instance')
        .action(function (args) {
        if (args.instance) {
            log_1.log.info("Attempting to log out from ".concat(args.instance));
            login_1.Login.getLogin(args.instance)
                .then(function (login) {
                if (login.getRefreshToken())
                    login_1.Login.logout(login);
                else
                    log_1.log.ok("Not currently logged into ".concat(args.instance));
            });
        }
        else {
            var mayNotBeAuthenticated = true;
            login_1.Login.getMostRecentLogin(mayNotBeAuthenticated).then(function (login) {
                log_1.log.info("Attempting to log out from your most recent login, ".concat(login.getInstance()));
                if (!login.getRefreshToken())
                    log_1.log.ok("Not currently logged into ".concat(login.getInstance()));
                else {
                    login_1.Login.logout(login);
                }
            })
                .catch(function () {
                log_1.log.fail('Logout Failure');
            });
        }
    });
};
//# sourceMappingURL=logout.js.map